DCMTK: dcmtk::log4cplus::RollingFileAppender Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
List of all members
dcmtk::log4cplus::RollingFileAppender Class Reference

RollingFileAppender extends FileAppender to backup the log files when they reach a certain size. More...

Inheritance diagram for dcmtk::log4cplus::RollingFileAppender:

## Additional Inherited Members
Public Member Functions inherited from dcmtk::log4cplus::FileAppender
virtual STD_NAMESPACE locale | imbue (STD_NAMESPACE locale const &loc)
| Redefine default locale for output stream.
virtual STD_NAMESPACE locale | getloc () const
Public Member Functions inherited from dcmtk::log4cplus::Appender
void | doAppend (const log4cplus::spi::InternalLoggingEvent &event)
| This method performs threshold checks and invokes filters before delegating actual logging to the subclasses specific `append` method.
virtual log4cplus::tstring | getName ()
| Get the name of this appender.
virtual void | setName (const log4cplus::tstring &name)
| Set the name of this appender.
virtual void | setErrorHandler (OFunique_ptr< ErrorHandler > eh)
| Set the `ErrorHandler` for this Appender.
virtual ErrorHandler * | getErrorHandler ()
| Return the currently set `ErrorHandler` for this Appender.
virtual void | setLayout (OFunique_ptr< Layout > layout)
| Set the layout for this appender.
virtual Layout * | getLayout ()
| Returns the layout of this appender.
void | setFilter (log4cplus::spi::FilterPtr f)
| Set the filter chain on this Appender.
log4cplus::spi::FilterPtr | getFilter () const
| Get the filter chain on this Appender.
LogLevel | getThreshold () const
| Returns this appenders threshold LogLevel.
void | setThreshold (LogLevel th)
| Set the threshold LogLevel.
bool | isAsSevereAsThreshold (LogLevel ll) const
| Check whether the message LogLevel is below the appender's threshold.
Protected Attributes inherited from dcmtk::log4cplus::FileAppender
bool | immediateFlush
| Immediate flush means that the underlying writer or output stream will be flushed at the end of each append operation.
int | reopenDelay
| When any append operation fails, `reopenDelay` says for how many seconds the next attempt to re-open the log file and resume logging will be delayed.
Protected Attributes inherited from dcmtk::log4cplus::Appender
OFunique_ptr< Layout > | layout
| The layout variable does not need to be set if the appender implementation has its own layout.
log4cplus::tstring | name
| Appenders are named.
LogLevel | threshold
| There is no LogLevel threshold filtering by default.
log4cplus::spi::FilterPtr | filter
| The first filter in the filter chain.
OFunique_ptr< ErrorHandler > | errorHandler
| It is assumed and enforced that errorHandler is never null.
OFunique_ptr< helpers::LockFile > | lockFile
| Optional system wide synchronization lock.
bool | useLockFile
| Use lock file for inter-process synchronization of access to log file.
bool | closed
| Is this appender closed?

## Detailed Description

RollingFileAppender extends FileAppender to backup the log files when they reach a certain size.

### Properties

Properties additional to `FileAppender`'s properties:

`MaxFileSize`

  This property specifies maximal size of output file. The value is in bytes. It is possible to use `MB` and `KB` suffixes to specify the value in megabytes or kilobytes instead.

`MaxBackupIndex`
  This property limits the number of backup output files; e.g. how many `log.1`, `log.2` etc. files will be kept.

The documentation for this class was generated from the following file:

- oflog/include/dcmtk/oflog/fileap.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2